package com.xinyilu.system.domain.motionprescriptionlibrary;

import com.xinyilu.common.annotation.Excel;
import com.xinyilu.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.math.BigDecimal;

/**
 * 运动处方库数据对象 motion_prescription_library
 *
 * @author xinyilu
 * @date 2022-11-28
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "运动处方库数据对象", description = "motion_prescription_library")
public class MotionPrescriptionLibrary extends BaseEntity {
    private static final long serialVersionUID = -4469525781917961848L;
    /**
     * 主键id
     */
    private Long id;

    /**
     * 身体素质名称
     */
    @ApiModelProperty(value = "身体素质名称")
    @Excel(name = "身体素质名称")
    private String physicalQualityName;

    /**
     * 运动程度得分起始值
     */
    @ApiModelProperty(value = "运动程度得分起始值")
    @Excel(name = "运动程度得分起始值")
    private BigDecimal degreeStartFraction;

    /**
     * 运动程度得分结束值
     */
    @ApiModelProperty(value = "运动程度得分结束值")
    @Excel(name = "运动程度得分结束值")
    private BigDecimal degreeEndFraction;

    /**
     * 运动类型
     */
    @ApiModelProperty(value = "运动类型")
    @Excel(name = "运动类型")
    private String motionType;

    /**
     * 运动频率
     */
    @ApiModelProperty(value = "运动频率")
    @Excel(name = "运动频率")
    private String motionFrequency;

    /**
     * 运动强度
     */
    @ApiModelProperty(value = "运动强度")
    @Excel(name = "运动强度")
    private String motionStrength;

    /**
     * 运动时间
     */
    @ApiModelProperty(value = "运动时间")
    @Excel(name = "运动时间")
    private String motionTime;

    /**
     * 运动量
     */
    @ApiModelProperty(value = "运动量")
    @Excel(name = "运动量")
    private String motionCapacity;

    /**
     * 进阶时间
     */
    @ApiModelProperty(value = "进阶时间")
    @Excel(name = "进阶时间")
    private String advancedTime;

    /**
     * 进阶方案
     */
    @ApiModelProperty(value = "进阶方案")
    @Excel(name = "进阶方案")
    private String advancedScheme;

    /**
     * 处方视频地址
     */
    private String prescriptionVideoUrl;


    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("physicalQualityName", getPhysicalQualityName())
                .append("degreeStartFraction", getDegreeStartFraction())
                .append("degreeEndFraction", getDegreeEndFraction())
                .append("motionType", getMotionType())
                .append("motionFrequency", getMotionFrequency())
                .append("motionStrength", getMotionStrength())
                .append("motionTime", getMotionTime())
                .append("motionCapacity", getMotionCapacity())
                .append("advancedTime", getAdvancedTime())
                .append("advancedScheme", getAdvancedScheme())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .toString();
    }
}
